Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.areas

## Interface AreaValuesLType

- All Superinterfaces:
    `AreaSizeValuesLType`
  All Known Subinterfaces:
    `AreaLType`, `PAreaLType<S>`
  All Known Implementing Classes:
    `AreaL`, `PAreaL`

      public interface AreaValuesLType
      extends AreaSizeValuesLType

  An area with `long` coordinates.

  The coordinates of the area are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y axis.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `maximumX​()` |
    `long` | `maximumY​()` |
    `long` | `minimumX​()` |
    `long` | `minimumY​()` |
    `default long` | `sizeX​()` |
    `default long` | `sizeY​()` |

    - ### Methods inherited from interface com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesLType

      `height, width`

- - ### Method Detail

    - #### minimumX

          @Parameter(order=0)
          long minimumX​()

      Returns:
        The value on the X axis of the minimum edge of the box (inclusive)

    - #### maximumX

          @Parameter(order=1)
          long maximumX​()

      Returns:
        The value on the X axis of the maximum edge of the box (exclusive)

    - #### minimumY

          @Parameter(order=2)
          long minimumY​()

      Returns:
        The value on the Y axis of the minimum edge of the box (inclusive)

    - #### maximumY

          @Parameter(order=3)
          long maximumY​()

      Returns:
        The value on the Y axis of the maximum edge of the box (exclusive)

    - #### sizeX

          @Derived
          default long sizeX​()

      Specified by:
        `sizeX` in interface `AreaSizeValuesLType`
      Returns:
        The size of the area on the X axis

    - #### sizeY

          @Derived
          default long sizeY​()

      Specified by:
        `sizeY` in interface `AreaSizeValuesLType`
      Returns:
        The size of the area on the Y axis

Copyright © 2017 <code@io7m.com> http://io7m.com